> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hosted Evaluation Logs Route

> Get real-time logs from the sandbox running a hosted evaluation.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/hosted-evaluations/{evaluation_id}/logs
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/hosted-evaluations/{evaluation_id}/logs:
    get:
      tags:
        - hosted-evaluations
      summary: Get Hosted Evaluation Logs Route
      description: Get real-time logs from the sandbox running a hosted evaluation.
      operationId: >-
        get_hosted_evaluation_logs_route_api_v1_hosted_evaluations__evaluation_id__logs_get
      parameters:
        - name: evaluation_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHostedEvaluationLogsResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GetHostedEvaluationLogsResponse:
      properties:
        logs:
          type: string
          title: Logs
          description: Sandbox logs
        sandbox_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sandbox Id
          description: Sandbox ID
        evaluation_id:
          type: string
          title: Evaluation Id
          description: Evaluation ID
      type: object
      required:
        - logs
        - evaluation_id
      title: GetHostedEvaluationLogsResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````